`sig
type variable
val access : string -> Netsys_global.variable
val get : Netsys_global.variable -> string
val set : Netsys_global.variable -> string -> unit
val get_v : Netsys_global.variable -> string * int64
val set_v : Netsys_global.variable -> string -> int64
val iter : (string -> string -> int64 -> unit) -> unit
class type propagator =
object
method propagate : string -> string -> int64
method update : string -> int64 -> (string * int64) option
end
val get_propagator : unit -> Netsys_global.propagator option
val set_propagator : Netsys_global.propagator option -> unit
val internal_set : string -> string -> int64 -> unit
end`